%define Werror_cflags %nil

Summary:	Cross-platform lobby client for the Spring RTS project
Name:		springlobby
Version:	0.255
Release:	%mkrel 1
Group:		Games/Strategy
License:	GPLv2
URL:		http://springlobby.info/
Source:		http://www.springlobby.info/tarballs/springlobby-%{version}.tar.bz2
Source1:	springlobby-logo.svg
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	imagemagick
BuildRequires:	boost-devel
BuildRequires:	wxgtk-devel
BuildRequires:	pkgconfig(alure)
BuildRequires:	pkgconfig(jsoncpp)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libmpg123)
BuildRequires:	pkgconfig(minizip)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	SDL_sound-devel
Requires:	spring
Requires:	curl
Requires:	dumb
Requires:	openal

%description
SpringLobby is a free cross-platform lobby client for the Spring RTS
project.

%prep
%setup -q

%build
%cmake
%__make -j4

%install
%make_install -C build

install -d -m755 %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
convert src/images/springlobby.svg -resize 48x48 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/springlobby.png
convert src/images/springlobby.svg -resize 32x32 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/springlobby.png
convert src/images/springlobby.svg -resize 16x16 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/springlobby.png

%find_lang %{name}

%files -f %{name}.lang
%doc THANKS AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/springlobby
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/*.*


%changelog
* Wed Jan 04 2017 daviddavid <daviddavid> 0.255-1.mga6
+ Revision: 1080034
- new version: 0.255
- add BR pkgconfig(jsoncpp)
- remove no longer needed BR libtorrent-rasterbar-devel

* Thu Jun 02 2016 daviddavid <daviddavid> 0.225-8.mga6
+ Revision: 1019822
- rebuild for wxgtk3.0 built with GTK2

* Wed Feb 17 2016 umeabot <umeabot> 0.225-7.mga6
+ Revision: 962907
- Mageia 6 Mass Rebuild

* Sun Dec 27 2015 daviddavid <daviddavid> 0.225-6.mga6
+ Revision: 916106
- rebuild for new boost 1.60.0

* Sat Sep 26 2015 fwang <fwang> 0.225-5.mga6
+ Revision: 883777
- rebuild for new boost

* Wed Aug 26 2015 cjw <cjw> 0.225-4.mga6
+ Revision: 869691
- increase release number
- rebuild with gcc 5

* Fri Aug 14 2015 ycantin <ycantin> 0.225-2.mga6
+ Revision: 864786
- fix missing %%doc files
- rebuild for new wxgtk built with wxRE_ADVANCED
- fix spec formatting
- fix license

* Thu Aug 06 2015 shlomif <shlomif> 0.225-1.mga6
+ Revision: 861472
- New ver (patch thx to ysoft).

* Fri Jul 31 2015 daviddavid <daviddavid> 0.180-6.mga6
+ Revision: 859917
- rebuild for new boost-1.58.0

* Thu Jul 23 2015 akien <akien> 0.180-5.mga6
+ Revision: 856373
- Rebuild for wxgtk with gtk3

* Wed Oct 15 2014 umeabot <umeabot> 0.180-4.mga5
+ Revision: 742799
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.180-3.mga5
+ Revision: 689298
- Mageia 5 Mass Rebuild

* Wed Feb 05 2014 fwang <fwang> 0.180-2.mga5
+ Revision: 583600
- br minizip

* Wed Feb 05 2014 fwang <fwang> 0.180-1.mga5
+ Revision: 583593
- more linkage fix
- fix link with curl
- br alure
- new version 0.180

* Sat Oct 19 2013 umeabot <umeabot> 0.147-8.mga4
+ Revision: 529599
- Mageia 4 Mass Rebuild

* Wed Jul 10 2013 fwang <fwang> 0.147-7.mga4
+ Revision: 452539
- rebuild for new boost

* Thu Apr 11 2013 ennael <ennael> 0.147-6.mga3
+ Revision: 409520
- rebuild for boost-1.53

* Sun Mar 24 2013 wally <wally> 0.147-5.mga3
+ Revision: 404728
- fix desktop file name

* Fri Jan 18 2013 fwang <fwang> 0.147-4.mga3
+ Revision: 389390
- rebuild for new libtorrent

* Mon Jan 14 2013 umeabot <umeabot> 0.147-3.mga3
+ Revision: 382537
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 0.147-2.mga3
+ Revision: 333106
- rebuild for new boost

* Tue Oct 09 2012 nanardon <nanardon> 0.147-1.mga3
+ Revision: 303923
- 0.147
- 0.139
- mdv cleanup
- imported package springlobby

